

import 'package:labs/data/dtos/characters_dto.dart';
import 'package:labs/domain/models/Student.dart';
import 'package:labs/domain/models/home.dart';

extension CharacterDataDtoToModel on CharacterDataDto{
  Student toDomain() => Student(
      attributes?.name ?? 'Undefined',
      int.parse(attributes?.age ?? '-1'),
      attributes?.courses ?? ['Undefined'],
      image: attributes?.image ?? 'https://gryazoveckij-r19.gosweb.gosuslugi.ru/netcat_files/460/2008/net_foto_muzh.jpg'
      );
}

extension CharactersDtoToModel on CharactersDto {
  HomeData toDomain() => HomeData(
    data: data?.map((e) => e.toDomain()).toList(),
    nextPage: meta?.pagination?.next,
  );
}